Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.configuration.security
Class CertificateConstraintsType

    java.lang.Object
      org.apache.cxf.configuration.security.CertificateConstraintsType

    public class CertificateConstraintsType

extends java.lang.Object

This structure holds a list of regular expressions that corresponds to a sequence of Certificate Constraints on either the Subject or Issuer DN.

Java class for CertificateConstraintsType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CertificateConstraintsType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="SubjectDNConstraints" type="{http://cxf.apache.org/configuration/security}DNConstraintsType" minOccurs="0"/>
             <element name="IssuerDNConstraints" type="{http://cxf.apache.org/configuration/security}DNConstraintsType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected DNConstraintsType` | `issuerDNConstraints`
`protected DNConstraintsType` | `subjectDNConstraints`

Constructor Summary
`CertificateConstraintsType()`

Method Summary
`DNConstraintsType` | `getIssuerDNConstraints()` Gets the value of the issuerDNConstraints property.
`DNConstraintsType` | `getSubjectDNConstraints()` Gets the value of the subjectDNConstraints property.
`boolean` | `isSetIssuerDNConstraints()`
`boolean` | `isSetSubjectDNConstraints()`
`void` | `setIssuerDNConstraints(DNConstraintsType value)` Sets the value of the issuerDNConstraints property.
`void` | `setSubjectDNConstraints(DNConstraintsType value)` Sets the value of the subjectDNConstraints property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### subjectDNConstraints

    protected DNConstraintsType subjectDNConstraints

### issuerDNConstraints

    protected DNConstraintsType issuerDNConstraints

Constructor Detail

### CertificateConstraintsType

    public CertificateConstraintsType()

Method Detail

### getSubjectDNConstraints

    public DNConstraintsType getSubjectDNConstraints()

  Gets the value of the subjectDNConstraints property.

  Returns:
    possible object is `DNConstraintsType`

### setSubjectDNConstraints

    public void setSubjectDNConstraints(DNConstraintsType value)

  Sets the value of the subjectDNConstraints property.

  Parameters:
    `value` - allowed object is `DNConstraintsType`

### isSetSubjectDNConstraints

    public boolean isSetSubjectDNConstraints()

### getIssuerDNConstraints

    public DNConstraintsType getIssuerDNConstraints()

  Gets the value of the issuerDNConstraints property.

  Returns:
    possible object is `DNConstraintsType`

### setIssuerDNConstraints

    public void setIssuerDNConstraints(DNConstraintsType value)

  Sets the value of the issuerDNConstraints property.

  Parameters:
    `value` - allowed object is `DNConstraintsType`

### isSetIssuerDNConstraints

    public boolean isSetIssuerDNConstraints()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF